/*
    This file is part of ben -- a task scheduler for distributed computations
    Copyright (C) 2012-2023  Laurent Poirrier

    ben is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef BEN_INI_H
#define BEN_INI_H
#include "buffer.h"
#include "date.h"

void ini_section(buffer *b, char *name);
void ini_entry(buffer *b, char *name, char *value);
void ini_int(buffer *b, char *name, int value);
void ini_date(buffer *b, char *name, time_t value);

int ini_get(buffer *b, char **name_r, char **value_r);


#endif


