/*
    This file is part of ben -- a task scheduler for distributed computations
    Copyright (C) 2012-2023  Laurent Poirrier

    ben is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef BEN_PATTERN_H
#define BEN_PATTERN_H
#include <regex.h>

typedef struct pattern_t {
	int flags;
	int id0, id1;
	char *match;
	regex_t regex;
} pattern;

#define PATTERN_EMPTY_NONE	1
#define PATTERN_RANGES		2
int pattern_init(pattern *pat, char *match, int flags);
void pattern_clear(pattern *pat);

int pattern_matches(pattern *pat, int id, char *str);



#endif

