
.PHONY: all doc

all: $(EXEC) doc

doc: $(DOC_MAN)

$(OBJS): $(BUILDDIR)/%.o : %.c Makefile rules.mk
	@mkdir -p $(@D)
	$(CC) $(CFLAGS) -c -o $(@) $(<)

$(DEPS): $(DEPSDIR)/%.d : %.c Makefile rules.mk
	@mkdir -p $(@D)
	-$(CC) $(CFLAGS) -MM -MP -MG -MT "$(@) $(<:%.c=$(BUILDDIR)/%.o)" $(<) > $(@)

$(EXEC): $(OBJS)
	$(CC) $(CFLAGS) -o $(@) $(^)

$(DOC_MAN): %: %.md $(DOC_TEMPLATE) Makefile rules.mk
	pandoc --template=$(DOC_TEMPLATE) $(PANDOC_FLAGS) -t man $(<) -o $(@)

$(DOC_C): %.i: % Makefile rules.mk
	sed -E \
		-e 's/\\/\\\\/g' -e 's/"/\\"/g' -e 's/^(.*)$$/ "\1\\n"/' \
		$(<) > $(@)

include $(DEPS)


